petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmCopyPoint

Copy point pj to point pi in the DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmCopyPoint(DM dm,PetscInt pi,PetscInt pj)

Not collective

### Input parameters

| dm | - a DMSwarm
| pi | - the index of the point to copy
| pj | - the point index where the copy should be located

### See Also

DMSwarmRemovePoint()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages